Home of the Squeezebox™ & Transporter® network music players.
Page 2 of 3 FirstFirst 123 LastLast
Results 11 to 20 of 22
  1. #11
    Senior Member
    Join Date
    Jan 2011
    Location
    Staffordshire. UK
    Posts
    2,569
    Quote Originally Posted by merlinus View Post
    Thanks, but still not working. I will uninstall LMS and then re-install it to see if it makes any difference.

    Now I cannot install it. Here is synaptic's error msg:
    logitechmediaserver:

    Package logitechmediaserver has no available version, but exists in the database.
    This typically means that the package was mentioned in a dependency and never uploaded, has been obsoleted or is not available with the contents of sources.list

    Is there some repository I can add so it can be installed?

    Nowadays I follow the instructions here

    http://wiki.slimdevices.com/index.php/Debian_Package

    to install LMS.

    This has the bonus of getting the correct version.

    I have tried running it all in one go, as one would with a script, but now split it into sections (before I just pasted each line separately).

    It will pay to completely remove LMS and all its bits before starting.

    ronnie

    ps. i think Slarti's idea of using the pi is a good one

  2. #12
    Senior Member
    Join Date
    Sep 2005
    Posts
    2,831
    Quote Originally Posted by merlinus View Post
    LMS not running after upgrade to Ubuntu 18.04.1
    No problems until the upgrade. LMS is installed but I cannot get it to run.
    Hi,

    lms works on 18.04.1 but we dont know what was your previous ubuntu.
    As seen in the wiki you can only use 7.9.1/7.9.2 if your lms was eg. 7.8 it wont run because of your perl version doesnt match.

    since the wiki doesnt allow me to change the script to install 7.9.2
    these are the steps
    Code:
    sudo dpkg -P  logitechmediaserver
    sudo apt-get install libio-socket-ssl-perl
    os=$(dpkg --print-architecture)
    if [ "$os" = "armhf" ]; then os=arm; fi
    url="http://www.mysqueezebox.com/update/?version=7.9.2&revision=1&geturl=1&os=deb$os"
    latest_lms=$(wget -q -O - "$url")
    mkdir -p /sources
    cd /sources
    wget $latest_lms
    lms_deb=${latest_lms##*/}
    sudo dpkg -i $lms_deb
    sudo apt-get -f install
    edit - now i found a way ;-)
    http://wiki.slimdevices.com/index.ph...stalling_7.9.2
    Last edited by DJanGo; 2018-10-24 at 02:51. Reason: wiki is wiked

  3. #13
    Member
    Join Date
    Jan 2017
    Location
    Northern New Mexico
    Posts
    80
    I installed LMS on my RPi (running pCP), but cannot get it to access the music folder on my main computer.

  4. #14
    Member
    Join Date
    Jan 2017
    Location
    Northern New Mexico
    Posts
    80
    Quote Originally Posted by DJanGo View Post
    Hi,

    lms works on 18.04.1 but we dont know what was your previous ubuntu.
    As seen in the wiki you can only use 7.9.1/7.9.2 if your lms was eg. 7.8 it wont run because of your perl version doesnt match.

    since the wiki doesnt allow me to change the script to install 7.9.2
    these are the steps
    Code:
    sudo dpkg -P  logitechmediaserver
    sudo apt-get install libio-socket-ssl-perl
    os=$(dpkg --print-architecture)
    if [ "$os" = "armhf" ]; then os=arm; fi
    url="http://www.mysqueezebox.com/update/?version=7.9.2&revision=1&geturl=1&os=deb$os"
    latest_lms=$(wget -q -O - "$url")
    mkdir -p /sources
    cd /sources
    wget $latest_lms
    lms_deb=${latest_lms##*/}
    sudo dpkg -i $lms_deb
    sudo apt-get -f install
    edit - now i found a way ;-)
    http://wiki.slimdevices.com/index.ph...stalling_7.9.2
    I could not do this issuing terminal commands, and need help in creating a script that will work. Thanks!

  5. #15
    Senior Member
    Join Date
    Sep 2005
    Posts
    2,831
    Quote Originally Posted by merlinus View Post
    I could not do this issuing terminal commands, and need help in creating a script that will work. Thanks!
    ok..

    that "script" is tested and it should work.

    just open something like putty or any other ssh tool you have
    and copy one line from here / the wiki into that ssh window

    make sure you use sudo dpkg -P logitechmediaserver as the first step -> that removes your lms installation.

  6. #16
    Member
    Join Date
    Jan 2017
    Location
    Northern New Mexico
    Posts
    80
    Quote Originally Posted by DJanGo View Post
    ok..

    that "script" is tested and it should work.

    just open something like putty or any other ssh tool you have
    and copy one line from here / the wiki into that ssh window

    make sure you use sudo dpkg -P logitechmediaserver as the first step -> that removes your lms installation.
    I ran the script in Putty, but it could not access the software -- "permission denied." I believe it is because the url does not work, as I could not access it directly in my browser.

    But I have the correct version of perl already installed, so I downloaded the .deb and installed it. But it still will not run. It is stuck on Loading Logitech Media Server.
    Last edited by merlinus; 2018-10-24 at 15:26.

  7. #17
    Senior Member
    Join Date
    Sep 2005
    Posts
    2,831
    post your server.log
    stop lms
    rm var/lib/squeezeboxserver/prefs/server.prefs
    start lms again

  8. #18
    Member
    Join Date
    Jan 2017
    Location
    Northern New Mexico
    Posts
    80
    I stopped lms, deleted server.prefs, and restarted, but still the same. It hangs on Starting Logitech Media Server.

    Here is my server.log:

    2018-10-24 16:23:41 squeezeboxserver_safe started.
    [18-10-24 16:23:41.9289] main::init (387) Starting Logitech Media Server (v7.9.2, 1539967036, Fri Oct 19 19:15:30 CEST 2018) perl 5.026001 - x86_64-linux-gnu-thread-multi
    [18-10-24 16:23:42.2352] Slim::Utils::SQLiteHelper:ostConnect (374) Optimizing DB because of missing or empty sqlite_stat1 table
    [18-10-24 16:23:42.2380] Slim::Schema::forceCommit (2149) Warning: Trying to commit transactions before DB is initialized!
    [18-10-24 16:23:42.4443] Slim::Utils::SQLiteHelper:ostConnect (374) Optimizing DB because of missing or empty sqlite_stat1 table
    [18-10-24 16:23:42.4471] Slim::Schema::forceCommit (2149) Warning: Trying to commit transactions before DB is initialized!
    [18-10-24 16:23:42.5067] Slim::Utils::PluginManager::load (385) Warning: Couldn't call Slim::Plugin::UPnP::Plugin->initPlugin: Can't locate Network/IPv4Addr.pm in @INC (you may need to install the Network::IPv4Addr module) (@INC contains: /var/lib/squeezeboxserver/cache/InstalledPlugins /usr/share/squeezeboxserver/CPAN/arch/5.26/x86_64-linux-thread-multi /usr/share/squeezeboxserver/CPAN/arch/5.26/x86_64-linux-thread-multi/auto /usr/share/squeezeboxserver/CPAN/arch/5.26.1/x86_64-linux-gnu-thread-multi /usr/share/squeezeboxserver/CPAN/arch/5.26.1/x86_64-linux-gnu-thread-multi/auto /usr/share/squeezeboxserver/CPAN/arch/5.26/x86_64-linux-gnu-thread-multi /usr/share/squeezeboxserver/CPAN/arch/5.26/x86_64-linux-gnu-thread-multi/auto /usr/share/squeezeboxserver/CPAN/arch/x86_64-linux-gnu-thread-multi /usr/share/squeezeboxserver/CPAN/arch/5.26 /usr/share/squeezeboxserver/lib /usr/share/squeezeboxserver/CPAN /usr/share/squeezeboxserver /usr/share/squeezeboxserver/CPAN /usr/share/squeezeboxserver /usr/sbin /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.26.1 /usr/local/share/perl/5.26.1 /usr/lib/x86_64-linux-gnu/perl5/5.26 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.26 /usr/share/perl/5.26 /usr/local/lib/site_perl /usr/lib/x86_64-linux-gnu/perl-base) at /usr/share/squeezeboxserver/Slim/Plugin/UPnP/Discovery.pm line 15.
    BEGIN failed--compilation aborted at /usr/share/squeezeboxserver/Slim/Plugin/UPnP/Discovery.pm line 15.
    Compilation failed in require at /usr/share/squeezeboxserver/Slim/Plugin/UPnP/Plugin.pm line 34.
    [18-10-24 16:23:42.5381] main::checkDataSource (1110) Warning: Schema updated or no media found in the database, initiating scan.
    [18-10-24 16:57:27.0055] Slim::Networking:iscovery::Players::_players_error (146) Unable to get players: Connect timed out: Operation now in progress
    2018-10-25 10:08:05 squeezeboxserver_safe stopped.
    [18-10-25 10:08:05.0899] Slim::Utils::PluginManager::shutdownPlugins (410) Warning: error running Slim::Plugin::UPnP::Plugin->shutdownPlugin: Can't locate object method "shutdown" via package "Slim::Plugin::UPnP::MediaServer" at /usr/share/squeezeboxserver/Slim/Plugin/UPnP/Plugin.pm line 57.
    2018-10-25 10:11:04 squeezeboxserver_safe started.
    [18-10-25 10:11:05.1703] main::init (387) Starting Logitech Media Server (v7.9.2, 1539967036, Fri Oct 19 19:15:30 CEST 2018) perl 5.026001 - x86_64-linux-gnu-thread-multi
    [18-10-25 10:11:05.4847] Slim::Utils::PluginManager::load (385) Warning: Couldn't call Slim::Plugin::UPnP::Plugin->initPlugin: Can't locate Network/IPv4Addr.pm in @INC (you may need to install the Network::IPv4Addr module) (@INC contains: /var/lib/squeezeboxserver/cache/InstalledPlugins /usr/share/squeezeboxserver/CPAN/arch/5.26/x86_64-linux-thread-multi /usr/share/squeezeboxserver/CPAN/arch/5.26/x86_64-linux-thread-multi/auto /usr/share/squeezeboxserver/CPAN/arch/5.26.1/x86_64-linux-gnu-thread-multi /usr/share/squeezeboxserver/CPAN/arch/5.26.1/x86_64-linux-gnu-thread-multi/auto /usr/share/squeezeboxserver/CPAN/arch/5.26/x86_64-linux-gnu-thread-multi /usr/share/squeezeboxserver/CPAN/arch/5.26/x86_64-linux-gnu-thread-multi/auto /usr/share/squeezeboxserver/CPAN/arch/x86_64-linux-gnu-thread-multi /usr/share/squeezeboxserver/CPAN/arch/5.26 /usr/share/squeezeboxserver/lib /usr/share/squeezeboxserver/CPAN /usr/share/squeezeboxserver /usr/share/squeezeboxserver/CPAN /usr/share/squeezeboxserver /usr/sbin /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.26.1 /usr/local/share/perl/5.26.1 /usr/lib/x86_64-linux-gnu/perl5/5.26 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.26 /usr/share/perl/5.26 /usr/local/lib/site_perl /usr/lib/x86_64-linux-gnu/perl-base) at /usr/share/squeezeboxserver/Slim/Plugin/UPnP/Discovery.pm line 15.
    BEGIN failed--compilation aborted at /usr/share/squeezeboxserver/Slim/Plugin/UPnP/Discovery.pm line 15.
    Compilation failed in require at /usr/share/squeezeboxserver/Slim/Plugin/UPnP/Plugin.pm line 34.
    Last edited by merlinus; 2018-10-25 at 09:29.

  9. #19
    Senior Member
    Join Date
    Sep 2005
    Posts
    2,831
    Quote Originally Posted by merlinus View Post
    [18-10-24 16:23:42.5067] Slim::Utils::PluginManager::load (385) Warning: Couldn't call Slim::Plugin::UPnP::Plugin->initPlugin: Can't locate Network/IPv4Addr.pm in @INC (you may need to install the Network::IPv4Addr module) (@INC contains: /var/lib/squeezeboxserver/cache/InstalledPlugins /usr/share/squeezeboxserver/CPAN/arch/5.26/x86_64-linux-thread-multi /usr/share/squeezeboxserver/CPAN/arch/5.26/x86_64-linux-thread-multi/auto /usr/share/squeezeboxserver/CPAN/arch/5.26.1/x86_64-linux-gnu-thread-multi /usr/share/squeezeboxserver/CPAN/arch/5.26.1/x86_64-linux-gnu-thread-multi/auto /usr/share/squeezeboxserver/CPAN/arch/5.26/x86_64-linux-gnu-thread-multi /usr/share/squeezeboxserver/CPAN/arch/5.26/x86_64-linux-gnu-thread-multi/auto /usr/share/squeezeboxserver/CPAN/arch/x86_64-linux-gnu-thread-multi /usr/share/squeezeboxserver/CPAN/arch/5.26 /usr/share/squeezeboxserver/lib /usr/share/squeezeboxserver/CPAN /usr/share/squeezeboxserver /usr/share/squeezeboxserver/CPAN /usr/share/squeezeboxserver /usr/sbin /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.26.1 /usr/local/share/perl/5.26.1 /usr/lib/x86_64-linux-gnu/perl5/5.26 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.26 /usr/share/perl/5.26 /usr/local/lib/site_perl /usr/lib/x86_64-linux-gnu/perl-base) at /usr/share/squeezeboxserver/Slim/Plugin/UPnP/Discovery.pm line 15.
    uppps??

    please type this:
    locate IPv4Addr
    Quote Originally Posted by answer should be
    /usr/share/squeezeboxserver/CPAN/Net/IPv4Addr.pm
    and give feedback here

  10. #20
    Member
    Join Date
    Jan 2017
    Location
    Northern New Mexico
    Posts
    80
    /usr/share/squeezeboxserver/CPAN/Net/IPv4Addr.pm

    so it seems correct.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •